{
	"Name": "AddTag",
	"DisplayName": "Add Tag",
	"Description": "Add a tag reference on the specific commit",
	"CmdFormatText": "git tag -a {name} {commit} -m {message} {force}{push}",
	"Category": "Git",
	"ImageFile": "Predefined/TagDiagonal.icon",
	"Parameters": [
		{
			"Name": "name",
			"Description": "Tag name",
			"Type": "String",
			"Domain": "Tag",
			"IsRequired": "Yes"
		},
		{
			"Name": "message",
			"Description": "Tag message",
			"Type": "String",
			"IsRequired": "Yes"
		},
		{
			"Name": "commit",
			"Description": "Tag commit, HEAD if not specified",
			"Type": "String",
			"Domain": "Commit",
			"IsRequired": "No"
		},
		{
			"Name": "force",
			"Description": "Replace an existing tag with the given name (instead of failing)",
			"Type": "Bool",
			"IsRequired": "No",
			"DefaultValue": "false",
			"SubstituteTrue": "-f"
		},
		{
			"Name": "push",
			"Description": "Immediftely push new tag to default remote repository",
			"Type": "Bool",
			"IsRequired": "No",
			"DefaultValue": "false",
			"SubstituteTrue": " && git push {DefaultRemote} refs/tags/{name}"
		}
	]
}
